org.eclipse.aether.graph

## Class Exclusion

- java.lang.Object
- - org.eclipse.aether.graph.Exclusion

-     public final class Exclusion
      extends Object

  An exclusion of one or more transitive dependencies. Note: Instances of this class are immutable and the exposed mutators return new objects rather than changing the current instance.
  See Also:
    `Dependency.getExclusions()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exclusion(String groupId, String artifactId, String classifier, String extension)` Creates an exclusion for artifacts with the specified coordinates.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getArtifactId()` Gets the artifact identifier for artifacts to exclude.
    `String` | `getClassifier()` Gets the classifier for artifacts to exclude.
    `String` | `getExtension()` Gets the file extension for artifacts to exclude.
    `String` | `getGroupId()` Gets the group identifier for artifacts to exclude.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Exclusion

          public Exclusion(String groupId,
                   String artifactId,
                   String classifier,
                   String extension)

      Creates an exclusion for artifacts with the specified coordinates.
      Parameters:
        `groupId` - The group identifier, may be `null`.
        `artifactId` - The artifact identifier, may be `null`.
        `classifier` - The classifier, may be `null`.
        `extension` - The file extension, may be `null`.

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Gets the group identifier for artifacts to exclude.
      Returns:
        The group identifier, never `null`.

    - #### getArtifactId

          public String getArtifactId()

      Gets the artifact identifier for artifacts to exclude.
      Returns:
        The artifact identifier, never `null`.

    - #### getClassifier

          public String getClassifier()

      Gets the classifier for artifacts to exclude.
      Returns:
        The classifier, never `null`.

    - #### getExtension

          public String getExtension()

      Gets the file extension for artifacts to exclude.
      Returns:
        The file extension of artifacts to exclude, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.